Provided by: liblemonldap-ng-portal-perl_1.1.2-1_all bug

NAME

       Lemonldap::NG::Portal::AuthChoice - Perl extension for building LemonLDAP::NG compatible
       portals with authentication choice.

SYNOPSIS

         use Lemonldap::NG::Portal::SharedConf;
         my $portal = new Lemonldap::NG::Portal::Simple(
                configStorage     => {...}, # See Lemonldap::NG::Portal
                authentication    => 'Choice',
                authChoiceModules => { '1Local' => 'LDAP|LDAP|LDAP', '2OpenID' => 'OpenID|Null|Null' },
           );

         if($portal->process()) {
           # Write here the menu with CGI methods. This page is displayed ONLY IF
           # the user was not redirected here.
           print $portal->header('text/html; charset=utf8'); # DON'T FORGET THIS (see CGI(3))
           print "...";

           # or redirect the user to the menu
           print $portal->redirect( -uri => 'https://portal/menu');
         }
         else {
           print $portal->header('text/html; charset=utf8'); # DON'T FORGET THIS (see CGI(3))
           print "<html><body><h1>Unable to work</h1>";
           print "This server isn't well configured. Contact your administrator.";
           print "</body></html>";
         }

DESCRIPTION

       This library just overload few methods of Lemonldap::NG::Portal::Simple to prompt for
       authentication choice.

       See Lemonldap::NG::Portal::Simple for usage and other methods.

SEE ALSO

       Lemonldap::NG::Portal, Lemonldap::NG::Portal::Simple, http://lemonldap-ng.org/
       <http://lemonldap-ng.org/>

AUTHOR

       Clement Oudot, <clement@oodo.net>

BUG REPORT

       Use OW2 system to report bug or ask for features: <http://jira.ow2.org>

DOWNLOAD

       Lemonldap::NG is available at
       <http://forge.objectweb.org/project/showfiles.php?group_id=274>

COPYRIGHT AND LICENSE

       Copyright (C) 2010 by Clement Oudot

       This library is free software; you can redistribute it and/or modify it under the same
       terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of
       Perl 5 you may have available.